# $Revision: 1.10 $, $Date: 2009/10/27 14:24:56 $
Summary:	Linux-native asynchronous I/O access library
Summary(pl.UTF-8):	Biblioteka natywnego dla Linuksa asynchronicznego dostępu do wejścia/wyjścia
Name:		libaio
Version:	0.3.107
Release:	1
License:	LGPL v2+
Group:		Libraries
# http://download.fedoraproject.org/pub/fedora/linux/development/source/SRPMS/libaio-0.3.107-2.src.rpm
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	db32c19c61ca937bcb1ba48da9180682
Patch0:		%{name}-arches.patch
Patch1:		%{name}-DESTDIR.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has
a richer API and capability set than the simple POSIX async I/O
facility.

This library, libaio, provides the Linux-native API for async I/O. The
POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

%description -l pl.UTF-8
Natywna dla Linuksa obsługa asynchronicznego wejścia/wyjścia ("async
I/O" lub "aio") ma bogatsze API i zestaw możliwości niż proste
asynchroniczne wejście/wyjście zgodne z POSIX.

Ta biblioteka - libaio - udostępnia natywne Linuksowe API dla
asynchronicznego we/wy. Zgodne z POSIX asynchroniczne we/wy wymaga tej
biblioteki do udostępnienia przyspieszanych przez jądro możliwości
asynchronicznego we/wy, podobnie jak aplikacje wymagające natywnego
dla Linuksa API asynchronicznego we/wy.

%package devel
Summary:	Header files for libaio library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libaio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libaio library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libaio.

%package static
Summary:	Static libaio library
Summary(pl.UTF-8):	Statyczna biblioteka libaio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libaio library.

%description static -l pl.UTF-8
Statyczna biblioteka libaio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fomit-frame-pointer -fPIC -Wall -I. -nostdlib -nostartfiles"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	libdir=/%{_lib} \
	usrlibdir=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

# omit some manuals:
# man2/io_* already included in man-pages
# some man3/aio_* already included in glibc-devel-doc (from man-pages)
install -d $RPM_BUILD_ROOT%{_mandir}/man3
cp -a man/aio{,_cancel64,_error64,_fsync64,_init,_read64,_return64,_suspend64,_write64}.3 $RPM_BUILD_ROOT%{_mandir}/man3
cp -a man/io*.3 $RPM_BUILD_ROOT%{_mandir}/man3
cp -a man/lio*.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO
%attr(755,root,root) /%{_lib}/libaio.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libaio.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaio.so
%{_includedir}/libaio.h
%{_mandir}/man3/aio*.3*
%{_mandir}/man3/io*.3*
%{_mandir}/man3/lio_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libaio.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libaio.spec,v $
Revision 1.10  2009/10/27 14:24:56  glen
- lib64 fix

Revision 1.9  2009/10/27 14:22:45  glen
- add -DESTDIR.patch

Revision 1.8  2008/07/25 14:13:24  glen
- uploaded tarball to df

Revision 1.7  2008/07/11 15:42:41  qboosh
- updated to 0.3.107 (from Fedora)
- added arches patch (m68k/sparc/arm/misc/hppa support) from Debian
- ghost soname symlink

Revision 1.6  2007/10/25 16:56:02  glen
- move libaio to /%{_lib}; rel 2

Revision 1.5  2007/09/09 23:12:43  qboosh
- resolve manuals conflict with man-pages and glibc-devel-doc

Revision 1.4  2007/09/09 23:04:51  qboosh
- updated to 0.3.106

Revision 1.3  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.2  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.1  2005/11/01 00:54:27  qboosh
- new
